DROP TABLE cache;

CREATE TABLE article_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL,
  title varchar(255) NOT NULL default '',
  abstract longtext NOT NULL,
  content longtext NOT NULL,
  author int(11) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  url varchar(255) NOT NULL default '',
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);

CREATE TABLE element_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL,
  value longtext NOT NULL,
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);

CREATE TABLE page_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL default '0',
  title varchar(255) default NULL,
  content longtext,
  author int(11) NOT NULL default '0',
  owner int(11) NOT NULL default '0',
  lang int(11) NOT NULL default '0',
  changed date NOT NULL default '0000-00-00',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);

CREATE TABLE pageelement_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL default '0',
  value longtext NOT NULL,
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);

CREATE TABLE snippet_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL,
  code longtext NOT NULL,
  doc longtext NOT NULL,
  author longtext NOT NULL,
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
)	;

CREATE TABLE language (
  id int(11) NOT NULL auto_increment,
  code char(16),
  name varchar(255),
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id)  
);

CREATE TABLE cache (
   id int DEFAULT '0' NOT NULL,
   type int DEFAULT '0' NOT NULL,
   style int DEFAULT '0' NOT NULL,
   page int DEFAULT '0' NOT NULL,
   sitegroup int DEFAULT '0' NOT NULL,
   lang int DEFAULT '0' NOT NULL,
   PRIMARY KEY (page,type,style,id,lang)
);

INSERT INTO article_i (sid, title, abstract, content, author, created, url, sitegroup) SELECT id, title, abstract, content, author, created, url, sitegroup FROM article;
INSERT INTO element_i (sid, value, sitegroup) SELECT id, value, sitegroup FROM element;
INSERT INTO page_i (sid, title, content, changed, sitegroup) SELECT id, title, content, changed, sitegroup FROM page;
INSERT INTO pageelement_i (sid, value, sitegroup) SELECT id, value, sitegroup FROM pageelement;
INSERT INTO snippet_i (sid, code, doc, author, sitegroup) SELECT id, code, doc, author, sitegroup FROM snippet;

ALTER TABLE article DROP title;
ALTER TABLE article DROP abstract;
ALTER TABLE article DROP content;
ALTER TABLE article DROP url;
ALTER TABLE element DROP value;
ALTER TABLE page DROP title;
ALTER TABLE page DROP content;
ALTER TABLE pageelement DROP value;
ALTER TABLE snippet DROP code;
ALTER TABLE snippet DROP doc;
ALTER TABLE snippet DROP author;

ALTER TABLE page ADD (owner int(11) NOT NULL default '0');
ALTER TABLE host ADD (lang int(11) NOT NULL default '0');
ALTER TABLE record_extension ADD (lang int(11) NOT NULL default '0');
ALTER TABLE blobs ADD (lang int(11) NOT NULL default '0');

