# MySQL dump 8.12
#
# Host: localhost    Database: midgard
#--------------------------------------------------------
# Server version	3.23.31

#
# Table structure for table 'article'
#


CREATE TABLE article (
  id int(11) NOT NULL auto_increment,
  up int(11) NOT NULL default '0',
  topic int(11) NOT NULL default '0',
  author int(11) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  calstart date default NULL,
  caldays int(11) NOT NULL default '0',
  icon int(11) NOT NULL default '0',
  view int(11) NOT NULL default '0',
  print int(11) NOT NULL default '0',
  extra1 varchar(255) NOT NULL default '',
  extra2 varchar(255) NOT NULL default '',
  extra3 varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  creator int(11) NOT NULL default '0',
  revisor int(11) NOT NULL default '0',
  revision int(11) NOT NULL default '0',
  approver int(11) NOT NULL default '0',
  revised datetime NOT NULL default '0000-00-00 00:00:00',
  approved datetime NOT NULL default '0000-00-00 00:00:00',
  score int(11) NOT NULL default '0',
  type int(11) NOT NULL default '0',
  locked datetime NOT NULL default '0000-00-00 00:00:00',
  locker int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY topic(topic),
  KEY article_sitegroup_idx(sitegroup),
  KEY article_name_idx(name(10))
);

#
# Table structure for table 'article_i'
#

CREATE TABLE article_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL,
  title varchar(255) NOT NULL default '',
  abstract longtext NOT NULL,
  content longtext NOT NULL,
  author int(11) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  url varchar(255) NOT NULL default '',
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);


#
# Table structure for table 'blobs'
#

CREATE TABLE blobs (
  id int(11) NOT NULL auto_increment,
  ptable varchar(255) NOT NULL default '',
  pid int(11) NOT NULL default '0',
  score int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  location varchar(255) NOT NULL default '',
  mimetype varchar(255) NOT NULL default '',
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  author int(11) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (id),
  KEY blobs_sitegroup_idx(sitegroup),
  KEY blobs_name_idx(name(10))
);

#
# Table structure for table 'element'
#

CREATE TABLE element (
  id int(11) NOT NULL auto_increment,
  style int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY style(style,name(14)),
  KEY element_sitegroup_idx(sitegroup),
  KEY element_name_idx(name(10))
);

#
# Table structure for table 'element_i'
#

CREATE TABLE element_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL,
  value longtext NOT NULL,
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);


#
# Table structure for table 'event'
#

CREATE TABLE event (
  id int(11) unsigned NOT NULL auto_increment,
  up int(11) unsigned NOT NULL default '0',
  start int(11) NOT NULL default '0',
  end int(11) default '2147483647',
  title varchar(255) NOT NULL default '',
  description longtext NOT NULL,
  type int(10) unsigned NOT NULL default '0',
  extra longtext NOT NULL,
  busy int(1) unsigned NOT NULL default '0',
  owner int(11) unsigned NOT NULL default '0',
  creator int(11) unsigned NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  locker int(11) unsigned NOT NULL default '0',
  locked datetime NOT NULL default '0000-00-00 00:00:00',
  revisor int(11) unsigned NOT NULL default '0',
  revised datetime NOT NULL default '0000-00-00 00:00:00',
  revision int(11) unsigned NOT NULL default '0',
  sitegroup int(11) unsigned NOT NULL default '0',
  PRIMARY KEY (id),
  KEY up(up),
  KEY start(start),
  KEY type(type),
  KEY event_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'eventmember'
#

CREATE TABLE eventmember (
  id int(11) NOT NULL auto_increment,
  eid int(11) NOT NULL default '0',
  uid int(11) NOT NULL default '0',
  count int(11) NOT NULL default '0',
  period int(11) NOT NULL default '0',
  extra longtext NOT NULL,
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY eventmember_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'file'
#

CREATE TABLE file (
  id int(11) NOT NULL auto_increment,
  article int(11) NOT NULL default '0',
  type varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  content varchar(255) NOT NULL default '',
  size int(11) NOT NULL default '0',
  md5 varchar(255) NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY file_sitegroup_idx(sitegroup),
  KEY file_name_idx(name(10))
);

#
# Table structure for table 'grp'
#

CREATE TABLE grp (
  id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  official varchar(255) NOT NULL default '',
  street varchar(255) NOT NULL default '',
  postcode varchar(255) NOT NULL default '',
  city varchar(255) NOT NULL default '',
  homepage varchar(255) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  extra longtext NOT NULL,
  owner int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY name(name(16)),
  KEY grp_sitegroup_idx(sitegroup),
  KEY grp_name_idx(name(10))
);

#
# Table structure for table 'host'
#

CREATE TABLE host (
  id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  root int(11) NOT NULL default '0',
  style int(11) NOT NULL default '0',
  lang int(11) NOT NULL default '0',  
  info set('auth') NOT NULL default '',
  owner int(11) NOT NULL default '0',
  port int(11) NOT NULL default '0',
  online int(11) NOT NULL default '0',
  prefix varchar(255) NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY name(name(16)),
  KEY host_sitegroup_idx(sitegroup),
  KEY host_name_idx(name(10))
);

#
# Table structure for table 'image'
#

CREATE TABLE image (
  id int(11) NOT NULL auto_increment,
  src varchar(255) NOT NULL default '',
  x int(11) NOT NULL default '0',
  y int(11) NOT NULL default '0',
  info set('online') NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY image_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'language'
#


CREATE TABLE language (
  id int(11) NOT NULL auto_increment,
  code char(2),
  name varchar(255),
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id)  
);

#
# Table structure for table 'member'
#


CREATE TABLE member (
  id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  gid int(11) NOT NULL default '0',
  extra longtext NOT NULL,
  info set('owner','member') NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY uid(uid,gid),
  KEY gid(gid,uid),
  KEY member_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'page'
#

CREATE TABLE page (
  id int(11) NOT NULL auto_increment,
  up int(11) NOT NULL default '0',
  style int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  author int(11) NOT NULL default '0',
  info set('auth','active') NOT NULL default '',
  changed date NOT NULL default '0000-00-00',
  sitegroup int(11) NOT NULL default '0',
  owner int(11) default '0',
  PRIMARY KEY  (id),
  KEY up (up,name(14)),
  KEY page_sitegroup_idx (sitegroup),
  KEY page_name_idx (name(10))
);

#
# Table structure for table 'page_i'
#

CREATE TABLE page_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL default '0',
  title varchar(255) default NULL,
  content longtext,
  author int(11) NOT NULL default '0',
  owner int(11) NOT NULL default '0',
  lang int(11) NOT NULL default '0',
  changed date NOT NULL default '0000-00-00',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);

#
# Table structure for table 'pageelement'
#

CREATE TABLE pageelement (
  id int(11) NOT NULL auto_increment,
  page int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  info set('inherit') NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY page(page,name(14)),
  KEY pageelement_sitegroup_idx(sitegroup),
  KEY pageelement_name_idx(name(10))
);

#
# Table structure for table 'pageelement'
#

CREATE TABLE pageelement_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL default '0',
  value longtext NOT NULL,
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);


#
# Table structure for table 'pagelink'
#

CREATE TABLE pagelink (
  id int(11) unsigned NOT NULL auto_increment,
  up int(11) unsigned NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  target int(11) unsigned NOT NULL default '0',
  grp int(11) unsigned NOT NULL default '0',
  owner int(11) unsigned NOT NULL default '0',
  sitegroup int(11) unsigned NOT NULL default '0',
  PRIMARY KEY (id),
  KEY page(up,name(14)),
  KEY pagelink_sitegroup_idx(sitegroup),
  KEY pagelink_name_idx(name(10))
);

#
# Table structure for table 'person'
#

CREATE TABLE person (
  id int(11) NOT NULL auto_increment,
  username varchar(16) NOT NULL default '',
  password varchar(13) binary NOT NULL default '',
  firstname varchar(255) NOT NULL default '',
  lastname varchar(255) NOT NULL default '',
  birthdate date default NULL,
  street varchar(255) NOT NULL default '',
  postcode varchar(255) NOT NULL default '',
  city varchar(255) NOT NULL default '',
  homephone varchar(255) NOT NULL default '',
  handphone varchar(255) NOT NULL default '',
  workphone varchar(255) NOT NULL default '',
  homepage varchar(255) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  extra longtext NOT NULL,
  img int(11) NOT NULL default '0',
  info set('admin','address','phone','homepage','email','extra') NOT NULL default '',
  topic int(11) NOT NULL default '0',
  subtopic int(11) NOT NULL default '0',
  department int(11) NOT NULL default '0',
  office int(11) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  creator int(11) NOT NULL default '0',
  pgpkey longtext NOT NULL,
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY username(username,password),
  KEY lastname(lastname(8),firstname(8)),
  KEY person_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'preference'
#

CREATE TABLE preference (
  id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  domain varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  value varchar(255) NOT NULL default '',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY uid(uid,domain(32),name(32)),
  KEY preference_sitegroup_idx(sitegroup),
  KEY preference_name_idx(name(10))
);

#
# Table structure for table 'record_extension'
#

CREATE TABLE record_extension (
  id int(11) NOT NULL auto_increment,
  tablename varchar(255) NOT NULL default '',
  oid int(11) NOT NULL default '0',
  domain varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  value varchar(255) NOT NULL default '',
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY record_extension_oid_idx(oid),
  KEY record_extension_tablename_idx(tablename(10)),
  KEY record_domain_tablename_idx(domain(10)),
  KEY record_extension_sitegroup_idx(sitegroup),
  KEY record_extension_name_idx(name(10))
);

#
# Table structure for table 'repligard'
#

CREATE TABLE repligard (
  id int(11) NOT NULL default '0',
  changed timestamp(14) NOT NULL,
  updated timestamp(14) NOT NULL,
  realm varchar(32) NOT NULL default '',
  guid varchar(32) NOT NULL default '',
  author int(11) NOT NULL default '0',
  locked smallint NOT NULL default '0',
  action enum('create','update','delete') NOT NULL default 'create',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (guid),
  KEY realm(realm,id)
);

#
# Table structure for table 'sitegroup'
#

CREATE TABLE sitegroup (
  id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  realm varchar(255) NOT NULL default '',
  admingroup int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sitegroup_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'snippet'
#

CREATE TABLE snippet (
  id int(10) unsigned NOT NULL auto_increment,
  up int(10) unsigned NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  creator int(10) unsigned NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  revisor int(10) unsigned NOT NULL default '0',
  revised datetime NOT NULL default '0000-00-00 00:00:00',
  revision int(10) unsigned NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY up(up,name(14)),
  KEY snippet_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'snippet_i'
#

CREATE TABLE snippet_i (
  id int(11) NOT NULL auto_increment,
  sid int(11) NOT NULL,
  code longtext NOT NULL,
  doc longtext NOT NULL,
  author longtext NOT NULL,
  lang int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY sid (sid,lang),
  KEY lang (lang)
);


#
# Table structure for table 'snippetdir'
#

CREATE TABLE snippetdir (
  id int(11) NOT NULL auto_increment,
  up int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  description longtext NOT NULL,
  owner int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY up(up,name(14)),
  KEY snippetdir_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'style'
#

CREATE TABLE style (
  id int(11) NOT NULL auto_increment,
  up int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  owner int(11) NOT NULL default '0',
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY up(up,name(14)),
  KEY style_sitegroup_idx(sitegroup)
);

#
# Table structure for table 'topic'
#

CREATE TABLE topic (
  id int(11) NOT NULL auto_increment,
  up int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  extra longtext NOT NULL,
  owner int(11) NOT NULL default '0',
  score int(11) NOT NULL default '0',
  description longtext NOT NULL,
  revised datetime NOT NULL default '0000-00-00 00:00:00',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  revisor int(11) NOT NULL default '0',
  creator int(11) NOT NULL default '0',
  revision int(11) NOT NULL default '0',
  code longtext NOT NULL,
  sitegroup int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY up(up,name(14)),
  KEY topic_sitegroup_idx(sitegroup)
);

CREATE TABLE cache (
   id int DEFAULT '0' NOT NULL,
   type int DEFAULT '0' NOT NULL,
   page int DEFAULT '0' NOT NULL,
   style int DEFAULT '0' NOT NULL,
   sitegroup int DEFAULT '0' NOT NULL,
   lang int DEFAULT '0' NOT NULL,
   PRIMARY KEY (page,type,id,lang)
);

INSERT INTO language VALUES (1,'aa','afar',0);
INSERT INTO language VALUES (2,'ab','abkhazian',0);
INSERT INTO language VALUES (3,'af','afrikaans',0);
INSERT INTO language VALUES (4,'am','amharic',0);
INSERT INTO language VALUES (5,'ar','arabic',0);
INSERT INTO language VALUES (6,'as','assamese',0);
INSERT INTO language VALUES (7,'ay','aymara',0);
INSERT INTO language VALUES (8,'az','azerbaijani',0);
INSERT INTO language VALUES (9,'ba','bashkir',0);
INSERT INTO language VALUES (10,'be','byelorussian',0);
INSERT INTO language VALUES (11,'bg','bulgarian',0);
INSERT INTO language VALUES (12,'bh','bihari',0);
INSERT INTO language VALUES (13,'bi','bislama',0);
INSERT INTO language VALUES (14,'bn','bengali',0);
INSERT INTO language VALUES (15,'bo','tibetan',0);
INSERT INTO language VALUES (16,'br','breton',0);
INSERT INTO language VALUES (17,'ca','catalan',0);
INSERT INTO language VALUES (18,'co','corsican',0);
INSERT INTO language VALUES (19,'cs','czech',0);
INSERT INTO language VALUES (20,'cy','welsh',0);
INSERT INTO language VALUES (21,'da','danish',0);
INSERT INTO language VALUES (22,'de','german',0);
INSERT INTO language VALUES (23,'dz','bhutani',0);
INSERT INTO language VALUES (24,'el','greek',0);
INSERT INTO language VALUES (25,'en','english',0);
INSERT INTO language VALUES (26,'eo','esperanto',0);
INSERT INTO language VALUES (27,'es','spanish',0);
INSERT INTO language VALUES (28,'et','estonian',0);
INSERT INTO language VALUES (29,'eu','basque',0);
INSERT INTO language VALUES (30,'fa','persian',0);
INSERT INTO language VALUES (31,'fi','finnish',0);
INSERT INTO language VALUES (32,'fj','fiji',0);
INSERT INTO language VALUES (33,'fo','faroese',0);
INSERT INTO language VALUES (34,'fr','french',0);
INSERT INTO language VALUES (35,'fy','frisian',0);
INSERT INTO language VALUES (36,'ga','irish',0);
INSERT INTO language VALUES (37,'gd','scots',0);
INSERT INTO language VALUES (38,'gl','galician',0);
INSERT INTO language VALUES (39,'gn','guarani',0);
INSERT INTO language VALUES (40,'gu','gujarati',0);
INSERT INTO language VALUES (41,'ha','hausa',0);
INSERT INTO language VALUES (42,'he','hebrew',0);
INSERT INTO language VALUES (43,'hi','hindi',0);
INSERT INTO language VALUES (44,'hr','croatian',0);
INSERT INTO language VALUES (45,'hu','hungarian',0);
INSERT INTO language VALUES (46,'hy','armenian',0);
INSERT INTO language VALUES (47,'ia','interlingua',0);
INSERT INTO language VALUES (48,'ie','interlingue',0);
INSERT INTO language VALUES (49,'ik','inupiak',0);
INSERT INTO language VALUES (50,'id','indonesian',0);
INSERT INTO language VALUES (51,'is','icelandic',0);
INSERT INTO language VALUES (52,'it','italian',0);
INSERT INTO language VALUES (53,'iu','inuktitut',0);
INSERT INTO language VALUES (54,'ja','japanese',0);
INSERT INTO language VALUES (55,'jv','javanese',0);
INSERT INTO language VALUES (56,'ka','georgian',0);
INSERT INTO language VALUES (57,'kk','kazakh',0);
INSERT INTO language VALUES (58,'kl','greenlandic',0);
INSERT INTO language VALUES (59,'km','cambodian',0);
INSERT INTO language VALUES (60,'kn','kannada',0);
INSERT INTO language VALUES (61,'ko','korean',0);
INSERT INTO language VALUES (62,'ks','kashmiri',0);
INSERT INTO language VALUES (63,'ku','kurdish',0);
INSERT INTO language VALUES (64,'ky','kirghiz',0);
INSERT INTO language VALUES (65,'la','latin',0);
INSERT INTO language VALUES (66,'ln','lingala',0);
INSERT INTO language VALUES (67,'lo','laothian',0);
INSERT INTO language VALUES (68,'lt','lithuanian',0);
INSERT INTO language VALUES (69,'lv','latvian',0);
INSERT INTO language VALUES (70,'mg','malagasy',0);
INSERT INTO language VALUES (71,'mi','maori',0);
INSERT INTO language VALUES (72,'mk','macedonian',0);
INSERT INTO language VALUES (73,'ml','malayalam',0);
INSERT INTO language VALUES (74,'mn','mongolian',0);
INSERT INTO language VALUES (75,'mo','moldavian',0);
INSERT INTO language VALUES (76,'mr','marathi',0);
INSERT INTO language VALUES (77,'ms','malay',0);
INSERT INTO language VALUES (78,'mt','maltese',0);
INSERT INTO language VALUES (79,'my','burmese',0);
INSERT INTO language VALUES (80,'na','nauru',0);
INSERT INTO language VALUES (81,'ne','nepali',0);
INSERT INTO language VALUES (82,'nl','dutch',0);
INSERT INTO language VALUES (83,'no','norwegian',0);
INSERT INTO language VALUES (84,'oc','occitan',0);
INSERT INTO language VALUES (85,'om','afan',0);
INSERT INTO language VALUES (86,'or','oriya',0);
INSERT INTO language VALUES (87,'pa','punjabi',0);
INSERT INTO language VALUES (88,'pl','polish',0);
INSERT INTO language VALUES (89,'ps','pashto',0);
INSERT INTO language VALUES (90,'pt','portuguese',0);
INSERT INTO language VALUES (91,'qu','quechua',0);
INSERT INTO language VALUES (92,'rm','rhaeto-romance',0);
INSERT INTO language VALUES (93,'rn','kurundi',0);
INSERT INTO language VALUES (94,'ro','romanian',0);
INSERT INTO language VALUES (95,'ru','russian',0);
INSERT INTO language VALUES (96,'rw','kinyarwanda',0);
INSERT INTO language VALUES (97,'sa','sanskrit',0);
INSERT INTO language VALUES (98,'sd','sindhi',0);
INSERT INTO language VALUES (99,'sg','sangho',0);
INSERT INTO language VALUES (100,'sh','serbo-croatian',0);
INSERT INTO language VALUES (101,'si','singhalese',0);
INSERT INTO language VALUES (102,'sk','slovak',0);
INSERT INTO language VALUES (103,'sl','slovenian',0);
INSERT INTO language VALUES (104,'sm','samoan',0);
INSERT INTO language VALUES (105,'sn','shona',0);
INSERT INTO language VALUES (106,'so','somali',0);
INSERT INTO language VALUES (107,'sq','albanian',0);
INSERT INTO language VALUES (108,'sr','serbian',0);
INSERT INTO language VALUES (109,'ss','siswati',0);
INSERT INTO language VALUES (110,'st','sesotho',0);
INSERT INTO language VALUES (111,'su','sundanese',0);
INSERT INTO language VALUES (112,'sv','swedish',0);
INSERT INTO language VALUES (113,'sw','swahili',0);
INSERT INTO language VALUES (114,'ta','tamil',0);
INSERT INTO language VALUES (115,'te','telugu',0);
INSERT INTO language VALUES (116,'tg','tajik',0);
INSERT INTO language VALUES (117,'th','thai',0);
INSERT INTO language VALUES (118,'ti','tigrinya',0);
INSERT INTO language VALUES (119,'tk','turkmen',0);
INSERT INTO language VALUES (120,'tl','tagalog',0);
INSERT INTO language VALUES (121,'tn','setswana',0);
INSERT INTO language VALUES (122,'to','tonga',0);
INSERT INTO language VALUES (123,'tr','turkish',0);
INSERT INTO language VALUES (124,'ts','tsonga',0);
INSERT INTO language VALUES (125,'tt','tatar',0);
INSERT INTO language VALUES (126,'tw','twi',0);
INSERT INTO language VALUES (127,'ug','uigur',0);
INSERT INTO language VALUES (128,'uk','ukrainian',0);
INSERT INTO language VALUES (129,'ur','urdu',0);
INSERT INTO language VALUES (130,'uz','uzbek',0);
INSERT INTO language VALUES (131,'vi','vietnamese',0);
INSERT INTO language VALUES (132,'vo','volapuk',0);
INSERT INTO language VALUES (133,'wo','wolof',0);
INSERT INTO language VALUES (134,'xh','xhosa',0);
INSERT INTO language VALUES (135,'yi','yiddish',0);
INSERT INTO language VALUES (136,'yo','yoruba',0);
INSERT INTO language VALUES (137,'za','zhuang',0);
INSERT INTO language VALUES (138,'zh','chinese',0);
INSERT INTO language VALUES (139,'zu','zulu',0);

